﻿using System;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace Problem_Converter_Infrag
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>
  public partial class Window1 : Window
  {
    ObservableCollection<Account> _accounts = new ObservableCollection<Account>{ 
      new Account("TEST", 131388), 
      new Account("TEST2", 11225544), 
      new Account("TEST3", 44332211)
    };

    public Window1()
    {
      InitializeComponent();
      this.DataContext = _accounts;
    }
  }

  public class Account 
  {
    public Account (string name, int accountNr)
    {
      Name = name;
      AccountNr = accountNr;
    }

    public string Name { get; set; }
    public int AccountNr { get; set;}
  }

  public class SimpleConverter : IValueConverter
  {
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
     if (value is int)
     {
       if (targetType == typeof(string))
         return string.Format("IBAN{0}", value);
       if (targetType == typeof(int))
         return 11111111;
     }
      return value.ToString();
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      if (value is string)
      {
        int accountNr;
        if (int.TryParse(((string) value).Replace("IBAN", ""), out accountNr))
        {
          return accountNr;
        }
      }
      return Binding.DoNothing;
    }
  }
}
